# Visualization
TKService
ImageUtility

# ImageUtility_XWUD Class Reference

Performs a "xwud -noclick" with a XAlienImage build
from any Image , any AlienImage .
.

`#include <ImageUtility_XWUD.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | XWUD (const Handle(Image_Image)&aImage, const Standard_CString aName, const Standard_CString xwudOptions="-new -noclick")
| Write content of a Image object to aTmpFile and execute a Spawn "xwud xwudOptions -in aTmpFile &" . .
static Standard_EXPORT void | XWUD (const Handle(AlienImage_AlienUserImage)&aAlienUserImage, const Standard_CString aName, const Standard_CString xwudOptions="-new -noclick")
| Write content of a AlienImage object to aTmpFile and execute a Spawn "xwud xwudOptions -in aTmpFile &" . .
static Standard_EXPORT void | XWUD (const Handle(AlienImage_XAlienImage)&aXAlienImage, const Standard_CString xwudOptions="-new -noclick")
| Write content of a XAlienImage object to aTmpFile and execute a Spawn "xwud xwudOptions -in aTmpFile &" . .
static Standard_EXPORT void | XWUD (const OSD_File &aFile, const Standard_CString xwudOptions="-new -noclick")
| execute a Spawn "xwud -new -noclick -in /aFile.SystemName()/ &" .
static Standard_EXPORT void | XWUD (const Standard_CString aFileName, const Standard_CString xwudOptions="-new -noclick")
| execute a Spawn "xwud xwudOptions -in aFileName &" .

## Member Function Documentation

void ImageUtility_XWUD::operator delete | ( | void * | anAddress | ) | `[inline]`

void* ImageUtility_XWUD::operator new | ( | size_t | size | ) | `[inline]`

void* ImageUtility_XWUD::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void ImageUtility_XWUD::XWUD | ( | const Standard_CString | aFileName,
|  | const Standard_CString | xwudOptions = `"-new -noclick"`
| ) | `[static]`

static Standard_EXPORT void ImageUtility_XWUD::XWUD | ( | const OSD_File & | aFile,
|  | const Standard_CString | xwudOptions = `"-new -noclick"`
| ) | `[static]`

static Standard_EXPORT void ImageUtility_XWUD::XWUD | ( | const Handle(AlienImage_XAlienImage)& | aXAlienImage,
|  | const Standard_CString | xwudOptions = `"-new -noclick"`
| ) | `[static]`

static Standard_EXPORT void ImageUtility_XWUD::XWUD | ( | const Handle(AlienImage_AlienUserImage)& | aAlienUserImage,
|  | const Standard_CString | aName,
|  | const Standard_CString | xwudOptions = `"-new -noclick"`
| ) | `[static]`

static Standard_EXPORT void ImageUtility_XWUD::XWUD | ( | const Handle(Image_Image)& | aImage,
|  | const Standard_CString | aName,
|  | const Standard_CString | xwudOptions = `"-new -noclick"`
| ) | `[static]`

The documentation for this class was generated from the following file:

- ImageUtility_XWUD.hxx